package ch.zhaw.catan;

/**
 * This enum is used to define the Commandwords.
 *
 * @author Leonardo Brandenberger
 */
public enum Command {
    NEXT_PLAYER("next player"), BUILD_SETTLEMENT("build settlement"), BUILD_CITY("build city"),
    BUILD_ROAD("build road"), TRADE_WITH_BANK("trade with bank"), QUIT("quit");
    private final String commandWord;

    Command(String commandWord) {
        this.commandWord = commandWord;
    }

    /**
     * Overrides the toString method and lets it give out the commandWord as a string when used.
     *
     * @return commandWord as a String
     */
    @Override
    public String toString() {
        return commandWord;
    }
}
